datablock TSShapeConstructor(BOXdts)
{
	baseShape = "./models/Box.dts";
	sequence0 = "./models/Box_root.dsq root";
	sequence1 = "./models/Box_run.dsq run";
	sequence2 = "./models/Box_run.dsq walk";
	sequence3 = "./models/Box_back.dsq back";
	sequence4 = "./models/Box_root.dsq side";
	sequence5 = "./models/Box_root.dsq crouch";
	sequence6 = "./models/Box_root.dsq crouchRun";
	sequence7 = "./models/Box_root.dsq crouchBack";
	sequence8 = "./models/Box_root.dsq crouchSide";
	sequence9 = "./models/Box_look.dsq look";
	sequence10 = "./models/Box_root.dsq headside";
	sequence11 = "./models/Box_root.dsq headUp";
	sequence12 = "./models/Box_root.dsq jump";
	sequence13 = "./models/Box_root.dsq standjump";
	sequence14 = "./models/Box_root.dsq fall";
	sequence15 = "./models/Box_root.dsq land";
	sequence16 = "./models/Box_root.dsq armAttack";
	sequence17 = "./models/Box_root.dsq armReadyLeft";
	sequence18 = "./models/Box_root.dsq armReadyRight";
	sequence19 = "./models/Box_root.dsq armReadyBoth";
	sequence20 = "./models/Box_root.dsq spearready";
	sequence21 = "./models/Box_root.dsq spearThrow";
	sequence22 = "./models/Box_root.dsq talk";
	sequence23 = "./models/Box_root.dsq death1";
	sequence24 = "./models/Box_root.dsq shiftUp";
	sequence25 = "./models/Box_root.dsq shiftDown";
	sequence26 = "./models/Box_root.dsq shiftAway";
	sequence27 = "./models/Box_root.dsq shiftTo";
	sequence28 = "./models/Box_root.dsq shiftLeft";
	sequence29 = "./models/Box_root.dsq shiftRight";
	sequence30 = "./models/Box_root.dsq rotCW";
	sequence31 = "./models/Box_root.dsq rotCCW";
	sequence32 = "./models/Box_root.dsq undo";
	sequence33 = "./models/Box_root.dsq plant";
	sequence34 = "./models/Box_root.dsq sit";
	sequence35 = "./models/Box_root.dsq wrench";
	sequence36 = "./models/Box_root.dsq activate";
	sequence37 = "./models/Box_root.dsq activate2";
	sequence38 = "./models/Box_root.dsq leftrecoil";
};

// Train Armors
datablock PlayerData(BoxTArmor)
{
   TSpeedFirstPerson = false;
   emap = false;
   
   className = Armor;
   shapeFile = "./models/Box.dts";
   cameraMaxDist = 8;
   cameraTilt = 0.261;//0.174 * 2.5; //~25 degrees
   cameraVerticalOffset = 2.3;
     
   cameraDefaultFov = 90.0;
   cameraMinFov = 5.0;
   cameraMaxFov = 120.0;
   
   //debrisShapeName = "~/data/shapes/player/debris_player.dts";
   //debris = horseDebris;

   aiAvoidThis = true;

   minLookAngle = -1.5708;
   maxLookAngle = 1.5708;
   maxFreelookAngle = 3.0;

   mass = 90;
   drag = 0;
   density = 0.7;
   maxDamage = 250;
   maxEnergy =  10;
   repairRate = 0.33;

   rechargeRate = 0.4;

   runForce = 28 * 90;
   runEnergyDrain = 0;
   minRunEnergy = 0;
   maxForwardSpeed = 60;
   maxBackwardSpeed = 60;
   maxSideSpeed = 1;

   maxForwardCrouchSpeed = 12;
   maxBackwardCrouchSpeed = 6;
   maxSideCrouchSpeed = 1;

   maxForwardProneSpeed = 0;
   maxBackwardProneSpeed = 0;
   maxSideProneSpeed = 0;

   maxForwardWalkSpeed = 0;
   maxBackwardWalkSpeed = 0;
   maxSideWalkSpeed = 0;

   maxUnderwaterForwardSpeed = 8.4;
   maxUnderwaterBackwardSpeed = 7.8;
   maxUnderwaterSideSpeed = 7.8;

   jumpForce = 17 * 90; //8.3 * 90;
   jumpEnergyDrain = 0;
   minJumpEnergy = 0;
   jumpDelay = 0;

   minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;

   minImpactSpeed = 250;
   speedDamageScale = 3.8;

   boundingBox			= vectorScale("1.8 1.8 1.8", 4);
   crouchBoundingBox	= vectorScale("1.8 1.8 1.8", 4);
   
   pickupRadius = 0.75;
   
   // Foot Prints
   //decalData   = HorseFootprint;
   //decalOffset = 0.25;
	
   jetEmitter = "";
   jetGroundEmitter = "";
   jetGroundDistance = 4;
  
   //footPuffEmitter = LightPuffEmitter;
   footPuffNumParts = 10;
   footPuffRadius = 0.25;

   //dustEmitter = LiftoffDustEmitter;

   splash = PlayerSplash;
   splashVelocity = 4.0;
   splashAngle = 67.0;
   splashFreqMod = 300.0;
   splashVelEpsilon = 0.60;
   bubbleEmitTime = 0.1;
   splashEmitter[0] = PlayerFoamDropletsEmitter;
   splashEmitter[1] = PlayerFoamEmitter;
   splashEmitter[2] = PlayerBubbleEmitter;
   mediumSplashSoundVelocity = 10.0;   
   hardSplashSoundVelocity = 20.0;   
   exitSplashSoundVelocity = 5.0;

   // Controls over slope of runnable/jumpable surfaces
   runSurfaceAngle  = 85;
   jumpSurfaceAngle = 86;

   minJumpSpeed = 20;
   maxJumpSpeed = 30;

   horizMaxSpeed = 68;
   horizResistSpeed = 33;
   horizResistFactor = 0.35;

   upMaxSpeed = 80;
   upResistSpeed = 25;
   upResistFactor = 0.3;
   
   footstepSplashHeight = 0.35;

   //NOTE:  some sounds commented out until wav's are available

   JumpSound			= HorseJumpSound;

   // Footstep Sounds
   //FootSoftSound        = HorseFootFallSound;
   //FootHardSound        = HorseFootFallSound;
   //FootMetalSound       = HorseFootFallSound;
   //FootSnowSound        = HorseFootFallSound;
   //FootShallowSound     = HorseFootFallSound;
   //FootWadingSound      = HorseFootFallSound;
   //FootUnderwaterSound  = HorseFootFallSound;
   //FootBubblesSound     = FootLightBubblesSound;
   //movingBubblesSound   = ArmorMoveBubblesSound;
   //waterBreathSound     = WaterBreathMaleSound;

   //impactSoftSound      = ImpactLightSoftSound;
   //impactHardSound      = ImpactLightHardSound;
   //impactMetalSound     = ImpactLightMetalSound;
   //impactSnowSound      = ImpactLightSnowSound;
   
   impactWaterEasy      = Splash1Sound;
   impactWaterMedium    = Splash1Sound;
   impactWaterHard      = Splash1Sound;
   
   groundImpactMinSpeed    = 10.0;
   groundImpactShakeFreq   = "4.0 4.0 4.0";
   groundImpactShakeAmp    = "1.0 1.0 1.0";
   groundImpactShakeDuration = 0.8;
   groundImpactShakeFalloff = 10.0;
   
   //exitingWater         = ExitingWaterLightSound;

   // Inventory Items
	maxItems   = 10;	//total number of bricks you can carry
	maxWeapons = 5;		//this will be controlled by mini-game code
	maxTools = 5;
	
	uiName = "Train - Box";
	rideable = true;
		lookUpLimit = 10;
		lookDownLimit = 10;

	canRide = false;
	showEnergyBar = false;
	paintable = true;
    
    numMountPoints = 3;
    
    Trainmod_isTrain = true;
    
    Trainmod_engine = true;
    Trainmod_enginePower = 0.01;
    Trainmod_engineMax = 0.2;
    Trainmod_maxSpeed = 0.5;
    
    Trainmod_drag = 0.002;
    
    Trainmod_brakes = true;
    
    Trainmod_startData = 0;
    Trainmod_runData = "TrainBoxRevSound";
    Trainmod_idleData = "TrainBoxIdleSound";
    Trainmod_hornData = "TrainHornSound";
    Trainmod_stopData = "TrainOldBrakeSound";
    
    // Trainmod_soundTick = 20;
};

datablock AudioProfile(TrainBoxRevSound)
{
	filename = "./sound/cruise4.wav";
	description = AudioDefaultLooping3d;
	preload = false;
};

datablock AudioProfile(TrainBoxIdleSound)
{
	filename = "./sound/idle.wav";
	description = AudioDefaultLooping3d;
	preload = false;
};

// Any train
datablock AudioProfile(TrainOldBrakeSound)
{
	filename = "./sound/squeal.wav";
	description = AudioClose3d;
	preload = false;
};

datablock AudioProfile(TrainHornSound)
{
	filename = "./sound/horn/horn_mid.wav";
	description = AudioClose3d;
	preload = false;
};